SpecializationUtil.registerSpecialization("TrueMirror", "TrueMirror", g_currentModDirectory.."TrueMirror.lua")

TrueMirror_Register = {};

function TrueMirror_Register:loadMap(name)
	if self.firstRun == nil then
		self.firstRun = false;
		
		print("--- loading TrueMirror v0.9 beta - specialization for TrueMirror by Mogli");
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
			   local allowInsertion = true;

				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
						local v_name_string = v.name 
						local point_location = string.find(v_name_string, ".", nil, true)
						if point_location ~= nil then
							local _name = string.sub(v_name_string, 1, point_location-1);
							if rawget(SpecializationUtil.specializations, string.format("%s.TrueMirror", _name)) ~= nil then
								allowInsertion = false;
								-- print(tostring(v.name)..": Specialization TrueMirror is present! TrueMirror was not inserted!");
							end;													
						end;
						if allowInsertion then
							-- print("adding TrueMirror to:"..tostring(v.name));
							table.insert(v.specializations, SpecializationUtil.getSpecialization("TrueMirror"));
						end;						
						vs.TrueMirror_on = g_i18n:getText("TrueMirror_on");
						vs.TrueMirror_off = g_i18n:getText("TrueMirror_off");
					end;
				end;
			end;	
		end;
	end;
end;

function TrueMirror_Register:deleteMap()
  
end;

function TrueMirror_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function TrueMirror_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function TrueMirror_Register:update(dt)
	
end;

function TrueMirror_Register:draw()
  
end;

addModEventListener(TrueMirror_Register);